API Documentation

AutoNod REST API

Integrate AutoNod workflow monitoring, classification, and self-repair capabilities directly into your custom developer dashboard and tools.

Back to Guides
v1.0 (Stable)
GET/api/workflows

List Monitored Workflows

Retrieve a list of all n8n workflows currently registered and monitored by AutoNod.

Request Parameters

ParameterTypeStatusDescription
limitIntegerOptionalNumber of records to return (default: 20, max: 100).
statusStringOptionalFilter by monitoring status: "active" or "paused".
Example RequestJSON / HTTP
// Request Headers
// x-autonod-key: an_live_8390c8bdf...
GET /api/workflows?status=active&limit=2
Example Response200 OK
{
  "workflows": [
    {
      "id": "wf_8943",
      "n8nWorkflowId": "12",
      "name": "Sync Customer Data",
      "status": "active",
      "lastChecked": "2026-05-26T01:50:00Z",
      "consecutiveFailures": 0
    },
    {
      "id": "wf_7482",
      "n8nWorkflowId": "34",
      "name": "Send Slack Alert",
      "status": "active",
      "lastChecked": "2026-05-26T01:45:00Z",
      "consecutiveFailures": 1
    }
  ],
  "total": 2
}